View Issue Details

IDProjectCategoryView StatusLast Update
0028698RunnerFunctionsPublic2018-04-04 10:28
ReporterStewart BishopAssigned ToSteven Campbell 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version 
Fixed in Version2.1.4 
Summary0028698: Functions: instance_deactivate_layer doesn't deactivate instances on a layer as they still move using built in variables
DescriptionDirection and speed are still updating to an object even after it has been deactivated. For example, an object moving right, when deactivated and reactivated, reappeared to the right of the original location. I tested this and it moves according to how long i have deactivated the instance, so clearly the speed and direction variable are not paused.
Steps To Reproduce1) Run the attached sample
2) Press escape
3) Wait a second or two
4) Press escape again
5) See that your object has moved even though you deactivated the layer
1.4 Found In
2.x Runtime Found In2.1.3.189
2.x Runtime Verified In2.1.4.200

Activities

Stewart Bishop

2018-01-11 11:25

Adminstrator  

test.yyz (15,560 bytes)

Steven Campbell

2018-01-12 17:03

Developer   ~0057313

Fixed in GitLab Merge Request 345
Git Id: d6c0594a414b7ef3775f9327515abf880a7f1868

Sam Cumming

2018-04-04 10:28

Adminstrator   ~0058581

Verified > rt 2.1.4.200 - Closing.